/*
 *  Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.wso2.carbon.uuf.spi.model;

import java.util.Map;

/**
 * Represents the data model passed to a {@link org.wso2.carbon.uuf.spi.Renderable} when rendering.
 *
 * @since 1.0.0
 */
public interface Model {

    /**
     * Combines the specified map with the this data model.
     *
     * @param other map of data to be combined
     */
    void combine(Map<String, Object> other);

    /**
     * Converts and returns this data model as a map.
     * @return map representation of this data model
     */
    Map<String, Object> toMap();
}
